cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: Endorse jaxws 2.2 API jar
Date Thu, 17 Jun 2010 16:51:29 GMT
On Thursday 17 June 2010 12:02:41 pm jim ma wrote:
> Hi all ,
> 
> When we update to jaxws 2.2 , we have to endorse the jaxws api jar for
> jdk6. I've updated the jaxws api dependency to 2.2 and endorsed the
> jaxws api 2.2 jar to   maven surefire and compiler plugin . If there
> is no objection , I will check in this change .
> We also need to look at endorsing the maven codegen plugin  ,  cxf ant
> task and samples in distribution kit.  If you have any concerns and
> thoughts about jaxws2.2 api update and endorse dir , please let me
> know .

Yes,  I object to this.    Out of the box, CXF needs to work without endorsing 
anything or doing anything funky.  Thus, by default, it's going to need to 
stay JAX-WS 2.1 compliant.    

Also, when I run "mvn -Psetup.eclipse" or similar, it needs to create projects 
that will load into eclipse without any funky setup there.    Right now, there 
isn't a way to endorse things in eclipse.  


For 2.2, we'll likely need a separate cxf-rt-frontend-jaxws22 module or 
similar that just subclasses the ProviderImpl and EndpointImpl of the regular 
JAX-WS module and provides the additional 2.2 specific API's.     Then, to the 
distribution, we would need a "jaxws-2.2" subdir in lib or similar that would 
contain the stuff needed for 2.2 and a good readme that explains everything a 
user would need to do.


-- 
Daniel Kulp
dkulp@apache.org
http://dankulp.com/blog

Mime
View raw message